Gluecrawl
Runs

List Runs

Runs for a specific job.

GET/v1/jobs/:id/runs
Requires authentication

Paginated list of runs for the given job.

Path parameters

NameTypeDescription
idrequireduuidJob ID whose runs you are listing.

Query parameters

NameTypeDescription
limitoptionalintegerPage size.Default: 20
offsetoptionalintegerNumber of runs to skip.Default: 0
curl 'https://api.gluecrawl.ai/v1/jobs/JOB_ID/runs?limit=20&offset=0' \  -H "Authorization: Bearer glue_yourApiKeyHere"

Responses

application/json
{  "data": [    {      "id": "660e8400-e29b-41d4-a716-446655440001",      "job_id": "550e8400-e29b-41d4-a716-446655440000",      "status": "completed",      "protection_level": "light",      "max_pages": 10,      "item_count": 120,      "page_count": 5,      "credits_used": 17,      "billing": {        "listing_pages": 5,        "detail_items": 120,        "protection_level": "light",        "credits_settled": 17      },      "created_at": "2026-04-02T09:01:00Z",      "completed_at": "2026-04-02T09:08:00Z"    },    {      "id": "770e8400-e29b-41d4-a716-446655440002",      "job_id": "550e8400-e29b-41d4-a716-446655440000",      "status": "completed",      "protection_level": "light",      "max_pages": 10,      "item_count": 118,      "page_count": 5,      "credits_used": 17,      "billing": {        "listing_pages": 5,        "detail_items": 118,        "protection_level": "light",        "credits_settled": 17      },      "created_at": "2026-04-01T09:01:00Z",      "completed_at": "2026-04-01T09:09:00Z"    }  ],  "total": 7,  "limit": 20,  "offset": 0}